<?php
  
/**
* Use an HTML form to create a new entry in the
* users table.
*
*/

require './config.php';
require './common.php';

/**
* Esto es para comprobar si existe la BD
* Además, nos permite seleccionar los últimos repostajes y otras cosas que queramos
*/
try {
  $connection = new PDO($dsn, $username, $password, $options);

  $sql = "SELECT * FROM vehiculos";

  $statement = $connection->prepare($sql);
  $statement->execute();

  $result = $statement->fetchAll();
  echo json_encode($result);
} catch(PDOException $error) {
  echo $sql . "<br>" . $error->getMessage();
}
?>